
### 200318 MPI warmBVP quant cyt

setwd("N://Alfonso_Gomez//1 - Experimental Procedures//200317_MPI_warmBVP//CellProfAnalys_Cyt")

Masked_virus_cyt <- read.csv2("200317_MPI_warmBVP_cell_Maskedvirus.csv", header = T, sep = ",")

##########

##########

library("stringr")

add_my_numbers1 <- function(data){
  a <- str_split_fixed(data$Metadata_sample,"_",n = 5)
  V <- a[,4]
  Trt <- a[,5]
  data <- cbind(data, "Virus"=V, "Treatment" = Trt)
  return(data)
}

Con_time_cyt <- add_my_numbers1(Masked_virus_cyt)

Con_time_cyt$Treatment <- gsub("0ul", "0", Con_time_cyt$Treatment)
Con_time_cyt$Treatment <- gsub("0.3ul", "1", Con_time_cyt$Treatment)
Con_time_cyt$Treatment <- gsub("0.6ul", "2", Con_time_cyt$Treatment)
Con_time_cyt$Treatment <- gsub("1.2ul", "3", Con_time_cyt$Treatment)


Con_time_cyt$Treatment <- as.numeric(Con_time_cyt$Treatment)


#####

as.numeric.factor <- function(x){
  as.numeric(levels(x))[x]
}

Con_time_cyt$Intensity_MeanIntensity_Hex <- as.numeric.factor(Con_time_cyt$Intensity_MeanIntensity_Hex)

######

library("ggplot2")

ggplot()+
  geom_point(data = Masked_virus_cyt,aes(x = Metadata_sample,y = Metadata_Site), size=0.5)

output2 <- matrix(nrow = 0, ncol = 5)

virus_counting <- function(exp,trt){
  for (i in 1:trt) {
    g <- subset(exp, (exp$Treatment == i))
    msite <- max(g$Metadata_Site, na.rm = T)
    if (msite == -Inf) {
      output2 <- rbind(output2,c(i, i, 0, 0, 0))
    } else {
      for (k in 0:msite) {
        p <- subset(exp, (exp$Treatment == i) & (exp$Metadata_Site == k))
        ncel <- max(p$Parent_Cell, na.rm = T)
        if (ncel == -Inf) {
          virus <- 0
          output2 <- rbind(output2,c(i, i, k, 0, virus))
        } else {
          for (c in 1:ncel) {
            virus <- length(p[p[,"Parent_Cell"] == c,][,1])
            if (virus == -Inf) {
              virus <- 0
            }
            output2 <- rbind(output2,c(i, i, k, c, virus))
          }
        }
      }
    }
  }
  return(output2)
}

wt_cyt <- subset(Con_time_cyt, Con_time_cyt$Virus == "wt")
KRrev_cyt <- subset(Con_time_cyt, Con_time_cyt$Virus == "KRrev")
VKR_cyt <- subset(Con_time_cyt, Con_time_cyt$Virus == "VKR")
dV_cyt <- subset(Con_time_cyt, Con_time_cyt$Virus == "dV")

BVP_wt_cyt <- virus_counting(wt_cyt,3)
colnames(BVP_wt_cyt) <- c("Condition", "Treatment", "Site", "Cell", "Virus_particles")
BVP_wt_cyt <- as.data.frame(BVP_wt_cyt)

BVP_KRrev_cyt <- virus_counting(KRrev_cyt,3)
colnames(BVP_KRrev_cyt) <- c("Condition", "Treatment", "Site", "Cell", "Virus_particles")
BVP_KRrev_cyt <- as.data.frame(BVP_KRrev_cyt)

BVP_VKR_cyt <- virus_counting(VKR_cyt,3)
colnames(BVP_VKR_cyt) <- c("Condition", "Treatment", "Site", "Cell", "Virus_particles")
BVP_VKR_cyt <- as.data.frame(BVP_VKR_cyt)

BVP_dV_cyt <- virus_counting(dV_cyt,3)
colnames(BVP_dV_cyt) <- c("Condition", "Treatment", "Site", "Cell", "Virus_particles")
BVP_dV_cyt <- as.data.frame(BVP_dV_cyt)

BVP_wt_cyt$Condition <- gsub("1", "0.3ul", BVP_wt_cyt$Condition)
BVP_wt_cyt$Condition <- gsub("2", "0.6ul", BVP_wt_cyt$Condition)
BVP_wt_cyt$Condition <- gsub("3", "1.2ul", BVP_wt_cyt$Condition)

BVP_KRrev_cyt$Condition <- gsub("1", "0.3ul", BVP_KRrev_cyt$Condition)
BVP_KRrev_cyt$Condition <- gsub("2", "0.6ul", BVP_KRrev_cyt$Condition)
BVP_KRrev_cyt$Condition <- gsub("3", "1.2ul", BVP_KRrev_cyt$Condition)

BVP_VKR_cyt$Condition <- gsub("1", "0.3ul", BVP_VKR_cyt$Condition)
BVP_VKR_cyt$Condition <- gsub("2", "0.6ul", BVP_VKR_cyt$Condition)
BVP_VKR_cyt$Condition <- gsub("3", "1.2ul", BVP_VKR_cyt$Condition)

BVP_dV_cyt$Condition <- gsub("1", "0.3ul", BVP_dV_cyt$Condition)
BVP_dV_cyt$Condition <- gsub("2", "0.6ul", BVP_dV_cyt$Condition)
BVP_dV_cyt$Condition <- gsub("3", "1.2ul", BVP_dV_cyt$Condition)

library("reshape2")

library("Hmisc")

ggplot(data = BVP_wt_cyt,aes(x = Condition,y = Virus_particles))+
  geom_boxplot(color = "grey") +
  geom_point(size=1.5, position = "jitter") +
  stat_summary(fun.data=mean_sdl, fun.args = list(mult=1), 
               geom="pointrange", color="red") +
  ylab("BVP per cell") +
  ggtitle("warmBVP wt_cyt") +
  theme_classic() +
  theme(axis.text.x = element_text(angle = 45, size=9, hjust = 1))

ggplot(data = BVP_KRrev_cyt,aes(x = Condition,y = Virus_particles))+
  geom_boxplot(color = "grey") +
  geom_point(size=1.5, position = "jitter") +
  stat_summary(fun.data=mean_sdl, fun.args = list(mult=1), 
               geom="pointrange", color="red") +
  ylab("BVP per cell") +
  ggtitle("warmBVP KRrev_cyt") +
  theme_classic() +
  theme(axis.text.x = element_text(angle = 45, size=9, hjust = 1))

ggplot(data = BVP_VKR_cyt,aes(x = Condition,y = Virus_particles))+
  geom_boxplot(color = "grey") +
  geom_point(size=1.5, position = "jitter") +
  stat_summary(fun.data=mean_sdl, fun.args = list(mult=1), 
               geom="pointrange", color="red") +
  ylab("BVP per cell") +
  ggtitle("warmBVP VKR_cyt") +
  theme_classic() +
  theme(axis.text.x = element_text(angle = 45, size=9, hjust = 1))

ggplot(data = BVP_dV_cyt,aes(x = Condition,y = Virus_particles))+
  geom_boxplot(color = "grey") +
  geom_point(size=1.5, position = "jitter") +
  stat_summary(fun.data=mean_sdl, fun.args = list(mult=1), 
               geom="pointrange", color="red") +
  ylab("BVP per cell") +
  ggtitle("warmBVP dV_cyt") +
  theme_classic() +
  theme(axis.text.x = element_text(angle = 45, size=9, hjust = 1))

####
####
####

calc_my_meansd <- function(titr, ni,nf){
  output <- matrix(nrow = nf,ncol = 5)
  for (i in ni:nf) {
    col <- 0.3 * 2^(i-1)
    inf <- mean(titr$Virus_particles[titr$Treatment == i])
    sd <- sd(titr$Virus_particles[titr$Treatment == i])
    VPul <- inf/(col)
    update <- c(col, col, inf, sd, VPul)
    output[i,] <- update
  }
  return(output)
}


Mean_wt_cyt <- calc_my_meansd(BVP_wt_cyt, 1, 3)
colnames(Mean_wt_cyt) <- c("Condition", "Treatment", "MeanVP", "SD","VP_per_ul")
Mean_wt_cyt <- as.data.frame(Mean_wt_cyt)

Mean_KRrev_cyt <- calc_my_meansd(BVP_KRrev_cyt, 1, 3)
colnames(Mean_KRrev_cyt) <- c("Condition", "Treatment", "MeanVP", "SD","VP_per_ul")
Mean_KRrev_cyt <- as.data.frame(Mean_KRrev_cyt)

Mean_VKR_cyt <- calc_my_meansd(BVP_VKR_cyt, 1, 3)
colnames(Mean_VKR_cyt) <- c("Condition", "Treatment", "MeanVP", "SD","VP_per_ul")
Mean_VKR_cyt <- as.data.frame(Mean_VKR_cyt)

Mean_dV_cyt <- calc_my_meansd(BVP_dV_cyt, 1, 3)
colnames(Mean_dV_cyt) <- c("Condition", "Treatment", "MeanVP", "SD","VP_per_ul")
Mean_dV_cyt <- as.data.frame(Mean_dV_cyt)

write.csv2(Mean_wt_cyt, file = "200319_MPI_wt_cyt_warmBVP_quant.csv")
write.csv2(Mean_KRrev_cyt, file = "200319_MPI_KRrev_cyt_warmBVP_quant.csv")
write.csv2(Mean_VKR_cyt, file = "200319_MPI_VKR_cyt_warmBVP_quant.csv")
write.csv2(Mean_dV_cyt, file = "200319_MPI_dV_cyt_warmBVP_quant.csv")

###########
###########
###########